// TestMatchingView.h : interface of the CTestMatchingView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTMATCHINGVIEW_H__CD3281A4_6933_48C5_AB7C_1CDD919526D0__INCLUDED_)
#define AFX_TESTMATCHINGVIEW_H__CD3281A4_6933_48C5_AB7C_1CDD919526D0__INCLUDED_

#include "initGdiPLus.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CTestMatchingView : public CFormView
{
protected: // create from serialization only
	CTestMatchingView();
	DECLARE_DYNCREATE(CTestMatchingView)

public:
	//{{AFX_DATA(CTestMatchingView)
	enum { IDD = IDD_TESTMATCHING_FORM };
	CButton	m_afficheLocaux;
	CButton	m_coresp;
	CStatic	m_display2;
	CStatic	m_display1;
	CButton	m_register1;
	CButton	m_transfert;
	CSliderCtrl	m_sliderZoom;
	CString	m_register1Msg;
	CString	m_zoomTxt;
	CString	m_distance;
	CString	m_offset;
	int		m_distCores;
	int		m_thetaCores;
	CString	m_nbCorres;
	int		m_nbIterations;
	CString	m_file1;
	CString	m_file2;
	CString	m_diffs;
	int		m_dx;
	int		m_dy;
	float	m_angle;
	CString	m_qual1;
	CString	m_qual2;
	CString	m_freq;
	float	m_alpha;
	CString	m_scoreIndex;
	CString	m_index1;
	CString	m_index2;
	CString	m_nbMinuties1;
	CString	m_nbMinuties2;
	//}}AFX_DATA

// Attributes
public:
	CTestMatchingDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestMatchingView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTestMatchingView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTestMatchingView)
	afx_msg void OnOpen1();
	afx_msg void OnOpen2();
	afx_msg void OnTransfert();
	afx_msg void OnRegister1();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnReleasedcaptureZoom(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnCorespondances();
	afx_msg void OnChangeDistCores();
	afx_msg void OnChangeThetaCores();
	afx_msg void OnWarper();
	afx_msg void OnChangeAlpha();
	afx_msg void OnChangeNbIterations();
	afx_msg void OnDeform();
	afx_msg void OnQuality();
	afx_msg void OnOrient();
	afx_msg void OnEtOrient();
	afx_msg void OnChangeDx();
	afx_msg void OnChangeDy();
	afx_msg void OnChangeTheta();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	void			recalcTransform();
	InitGDIPlus		m_initGdiPlus;
	unsigned char*	m_gabarits[2];
	bool			m_gabLoaded[2],m_moving;
	int				m_mouseX,m_mouseY,m_decX,m_decY,m_mouseXL,m_mouseYL;
	int				**m_concordances;
};

#ifndef _DEBUG  // debug version in TestMatchingView.cpp
inline CTestMatchingDoc* CTestMatchingView::GetDocument()
   { return (CTestMatchingDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTMATCHINGVIEW_H__CD3281A4_6933_48C5_AB7C_1CDD919526D0__INCLUDED_)
