/*	Fichier monCode.h
	Fonctions pour TestMatching
	Zefyr Technologie 2000
	Matthieu Perreira Da Silva
*/

#ifndef __ZEF_MONCODE_H
#define __ZEF_MONCODE_H

#include "customTYpes.h"

CString chargerGabarit( unsigned char *p_gabarit );
void	afficherMinuties( Template &p_gabarit, Graphics &p_graphics, Color &p_color, int p_xCentre, int p_yCentre, float zoom );
void	afficherConcordances( int **p_concordances, Template &p_gabarit1, Template &p_gabarit2, Graphics &p_graphics, int p_xCentre, int p_yCentre, float zoom );
void	afficherDeformations( Graphics &p_graphics, int p_xCentre, int p_yCentre, float zoom );
void	afficherMinutiesConcordantes( int **p_concordances, int p_index, Template &p_gabarit1, Template &p_gabarit2, Graphics &p_graphics, int p_xCentre, int p_yCentre, float zoom );
void	afficherQuality( Template &p_gabarit, Graphics &p_graphics, int p_xCentre, int p_yCentre, float zoom );
void	afficherOrient( Template &p_gabarit, Color &p_color, Graphics &p_graphics, int p_xCentre, int p_yCentre, float zoom );
#endif //__ZEF_MONCODE_H