// HiResCounter.h: interface for the CHiResCounter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIRESCOUNTER_H__5F7EF236_0F59_43BB_B329_92E065DFEB17__INCLUDED_)
#define AFX_HIRESCOUNTER_H__5F7EF236_0F59_43BB_B329_92E065DFEB17__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CHiResCounter  
{
public:
	
	LARGE_INTEGER  m_resolution;
	LARGE_INTEGER  m_stopTime;
	LARGE_INTEGER  m_startTime;
	CHiResCounter(void)
	{
		QueryPerformanceFrequency(&m_resolution);
	}
	virtual ~CHiResCounter();
	void startTimer(void)
	{
		QueryPerformanceCounter(&m_startTime);
	}
	void stopTimer(void)
	{
		QueryPerformanceCounter(&m_stopTime);
	}

	double getTimer(void)
	{
		return (m_stopTime.QuadPart-m_startTime.QuadPart)/double(m_resolution.QuadPart);
	}
};

#endif // !defined(AFX_HIRESCOUNTER_H__5F7EF236_0F59_43BB_B329_92E065DFEB17__INCLUDED_)
