//
/// ******* bioengine specific : update your definition here
///         and also in bioengine.cpp
//

#define COMPILE_DATE		"15-MARS-2004"	// compilation date

#define BIOENGINE_NAME		"ZEFYR Technologies"		// your company name

#define BIOENGINE_SIGNATURE_SIZE 1000		// the size of the signature

#define MAXPIXEL 500000	// maximum size of a bitmap

// define your thresholds to draw the FAR/FRR curve
#define BIOENGINE_THRESHOLD_0  15
#define BIOENGINE_THRESHOLD_1  30
#define BIOENGINE_THRESHOLD_2  50
#define BIOENGINE_THRESHOLD_3  70
#define BIOENGINE_THRESHOLD_4  90
#define BIOENGINE_THRESHOLD_5  110
#define BIOENGINE_THRESHOLD_6  130
#define BIOENGINE_THRESHOLD_7  150
#define BIOENGINE_THRESHOLD_8  170	
#define BIOENGINE_THRESHOLD_9  200

// define the threshold to report FRR, FAR pairs
#define BIOENGINE_THRESHOLD_FRR 100    // not too high, or too much FRR pairs will be reported
#define BIOENGINE_THRESHOLD_FAR 100	   // not too low,  or too much FAR pairs will be reported

// define the thresholds for some FAR (used for scoring, not useful for the present test)
#define BIOENGINE_THRESHOLD_FAR3 75	    // to get a FAR = 0.001
#define BIOENGINE_THRESHOLD_FAR4 100	// to get a FAR = 0.0001
#define BIOENGINE_THRESHOLD_FAR5 125	// to get a FAR = 0.00001

#define FAR10MOINS 6

/// *******

// add here everything specific to your software :probably the include .h file
short loadParameters();
