// Far_frr_evaluation2Dlg.h : header file
//

#include "stdafx.h"
#include "resource.h"

#if !defined(AFX_FAR_FRR_EVALUATION2DLG_H__18CC6046_E635_11D5_9582_E2F8794EED13__INCLUDED_)
#define AFX_FAR_FRR_EVALUATION2DLG_H__18CC6046_E635_11D5_9582_E2F8794EED13__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFar_frr_evaluation2Dlg dialog

class CFar_frr_evaluation2Dlg : public CDialog
{
// Construction
public:
	void FrrTestScoring(long num);
	short Decode_condition(char *inputline, char *valine, char *errline);
	void DrawFarFrr();
	void WriteSummaryFile(char *message);
	// bioengine routines
	short Bioengine_initialize(char *mess, char *version);
	short Bioengine_finish(char *mess);
	short Bioengine_ExtractSignature(char *bmpname, long *xsize, long *ysize, unsigned char *signature, char *mess);
	short Bioengine_Score(unsigned char *sign1, long xsize1, long ysize1, char *bmpname1, 
						  unsigned char *sign2, long xsize2, long ysize2, char *bmpname2,
						  long *score, char *mess);
	// others
	short FrrTest(long num);
	short FarTest(long idtest);
	short WatchDog(long total, long done);
	void Clip_image(unsigned char *imagin, long xsize, long ysize, unsigned char *imagou, long xout, long yout);
	short ReadBmp(char * bmp, unsigned char * pPixel, long *xsize, long *ysize);
	short WannaAbort();
	short Extract(long idfile, short signa, long idsign);
	void Log_mess(char *message);
	void Display_mess(char *message);
	CFar_frr_evaluation2Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFar_frr_evaluation2Dlg)
	enum { IDD = IDD_FAR_FRR_EVALUATION2_DIALOG };
	CComboBox	m_speed;
	CStatic	m_pict;
	CString	m_main_mess;
	CString	m_database;
	long	m_nfrr;
	long	m_nfar;
	CString	m_bioengine_company;
	CString	m_bioengine_version;
	BOOL	m_samplefar;
	BOOL	m_fvcMode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFar_frr_evaluation2Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFar_frr_evaluation2Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelect();
	afx_msg void OnRun();
	afx_msg void OnReadsum();
	afx_msg void OnReadbin();
	afx_msg void OnSelchangeSpeed();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FAR_FRR_EVALUATION2DLG_H__18CC6046_E635_11D5_9582_E2F8794EED13__INCLUDED_)
