// TestWarp.cpp : Defines the entry point for the console application.
//

#include "stdlib.h"
#include "stdio.h"
#include "stdafx.h"
#include "customTypes.h"
#include "staticParameters.h"

#include "zMaths.h"
#include "tpsWarper.h"
#include "fxTpsWarper.h"


int main(int argc, char* argv[])
{
	int			i,x,y;
	TpsData		data;
	int			srcX[50],srcY[50];
	int			dstX[50],dstY[50];

	zInitMaths();

	for( i=0; i<40; i++ )
	{
		srcX[i] = (rand()%512)-256;
		srcY[i] = (rand()%512)-256;
		dstX[i] = srcX[i] + (rand()%32)-16;
		dstY[i] = srcY[i] + (rand()%32)-16;
	}

	initTpsWarper( 40, srcX, srcY, dstX, dstY, FTOFIX32(0.5,Q15_16), &data );

	for( i=0; i<40; i++ )
	{
		x=srcX[i];
		y=srcY[i];
		printf("%d %d | ",x,y);
		warp(&x,&y,&data);
		printf("%d %d | %d %d\n",x,y,dstX[i],dstY[i]);
	}

	printf("\nzLog(2) = %f\n",zLog(2));

	return 0;
}
