#if !defined(AFX_IDENTDEVICE_H__616986BE_36D9_40D4_A489_6A743796932D__INCLUDED_)
#define AFX_IDENTDEVICE_H__616986BE_36D9_40D4_A489_6A743796932D__INCLUDED_

#include "initGdiPlus.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IdentDevice.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIdentDevice dialog

#define WM_ZEF_MSG		WM_USER
#define WM_ZEF_REFRESH	WM_USER+1
#define WM_ZEF_ID		WM_USER+2

int AcquireImg();

struct IdThreadData
{
	CString	m_message;
	HWND	m_parentHandle;
	bool	m_loop;	
	unsigned char* m_buffer;
	Gdiplus::Bitmap* m_bitmap;
	unsigned char** m_templateTab;
	CString * m_fileNameTab;
	int		m_nbTemplates;
};


class CIdentDevice : public CDialog
{
// Construction
public:
			
	CIdentDevice(CWnd* pParent = NULL);   // standard constructor
	friend UINT IdentFunc( LPVOID p_param );
	InitGDIPlus			m_gdi;
	IdThreadData	m_threadData;
	int		m_maxDbSearch;

// Dialog Data
	//{{AFX_DATA(CIdentDevice)
	enum { IDD = IDD_IDENT_DEVICE };
	CStatic	m_imgFrame;
	CString	m_templId;
	CString	m_message;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIdentDevice)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CIdentDevice)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IDENTDEVICE_H__616986BE_36D9_40D4_A489_6A743796932D__INCLUDED_)
