#if !defined(AFX_BINSTATDLG_H__32588225_EF67_4326_B173_C84C84891731__INCLUDED_)
#define AFX_BINSTATDLG_H__32588225_EF67_4326_B173_C84C84891731__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BinStatDlg.h : header file
//

#include "CustomTypes.h"

/////////////////////////////////////////////////////////////////////////////
// CBinStatDlg dialog

class CBinStatDlg : public CDialog
{
// Construction
public:
	void CalcIndex( int p_selection );
	float m_txPen;
	bool m_bDontRedraw;
	CString *m_fileNamesTab;
	int * m_indexTab;
	Template *m_templateTab;
	CString m_sourcePath;
	int m_nbFiles;
	CBinStatDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBinStatDlg)
	enum { IDD = IDD_BIN_STATS_DLG };
	CListBox	m_sortedList;
	CListBox	m_selection;
	BOOL	m_bMeanFreq;
	CString	m_searchString;
	int		m_select;
	BOOL	m_bIndex;
	BOOL	m_bDistCD;
	CString	m_txPenMoy;
	CString	m_txPenTotal;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBinStatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBinStatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSelection();
	afx_msg void OnSearch();
	afx_msg void OnSelchangeSortedList();
	afx_msg void OnCalclTxPen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BINSTATDLG_H__32588225_EF67_4326_B173_C84C84891731__INCLUDED_)
