// paramEditorDlg.h : header file
//

#if !defined(AFX_PARAMEDITORDLG_H__BB37A927_7F59_4786_A227_A08CEFEF8AC3__INCLUDED_)
#define AFX_PARAMEDITORDLG_H__BB37A927_7F59_4786_A227_A08CEFEF8AC3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CParamEditorDlg dialog

class CParamEditorDlg : public CDialog
{
// Construction
public:
	CParamEditorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CParamEditorDlg)
	enum { IDD = IDD_PARAMEDITOR_DIALOG };
	UINT	m_maxNumberOfDetectedMinutiae;
	UINT	m_maxNumberOfMinutiae;
	UINT	m_maxNumberOfLocalInfos;
	UINT	m_maxNumberOfCores;
	UINT	m_normalizationMean;
	UINT	m_normalizationStdDev;
	UINT	m_qualityThreshold;
	float	m_freqQualThreshold;
	float	m_freqQualThresholdInc;
	float	m_spectrumMultFactor;
	float	m_gaborWidth;
	float	m_gaborFreqMult;
	float	m_gaborFusionThreshold;
	UINT	m_nbClassesSegmentation;
	UINT	m_nbClassesRejectSegmentation;
	UINT	m_segmMedianFilterSize;
	UINT	m_regionPerimeterCoef;
	UINT	m_regionSurfaceCoef;
	UINT	m_oriFusionMedianSize;
	UINT	m_nbPtsFusionThreshold;
	float	m_multFactorRegionFusion;
	UINT	m_fusionErodeSize;
	UINT	m_finalFusionMedianSize;
	float	m_fusionIntensityMultFactor;
	UINT	m_binaryMedianSize;
	UINT	m_minimumCurvatureThreshold;
	int		m_localInfosBlocSize;
	UINT	m_minutiaeNeiborhoodSize;
	UINT	m_branchMinSize;
	UINT	m_maxReconnectSize;
	UINT	m_minReconnectionAngle;
	UINT	m_maxSupprAngle;
	UINT	m_poincareSize;
	int		m_maxRegistrationAngle;
	int		m_firstPassAngleStep;
	int		m_registerTranslationTolerance;
	UINT	m_translation;
	UINT	m_translationShift;
	UINT	m_maxTranslationWidthShift1;
	UINT	m_maxTranslationWidthShift2;
	UINT	m_maxTranslationWidth2;
	UINT	m_maxTranslationWidth1;
	int		m_accuFill;
	float	m_translationMaxThreshold;
	int		m_angleTolerance;
	UINT	m_translationTolerance;
	float	m_splineStiffness;
	UINT	m_minNumberOfMinutiae;
	float	m_oriMatchNormalize;
	UINT	m_maxScore;
	float	m_scoreNormalize;
	BOOL	m_powFftFlag;
	UINT	m_maxDeformation;
	UINT	m_freqPos1;
	UINT	m_freqPos10;
	UINT	m_freqPos2;
	UINT	m_freqPos3;
	UINT	m_freqPos4;
	UINT	m_freqPos5;
	UINT	m_freqPos6;
	UINT	m_freqPos7;
	UINT	m_freqPos8;
	UINT	m_freqPos9;
	UINT	m_nbFreqPos;
	float	m_regionDivCoef;
	UINT	m_distFindCoreAngle;
	float	m_distDivCoef;
	BOOL	m_minutiaeBoost;
	UINT	m_defaultSecurity;
	UINT	m_secuThreshold0;
	UINT	m_secuThreshold1;
	UINT	m_secuThreshold2;
	UINT	m_secuThreshold3;
	UINT	m_secuThreshold4;
	UINT	m_secuThreshold5;
	UINT	m_maxDbSearch;
	UINT	m_secuThreshold6;
	UINT	m_max_img_width;
	UINT	m_max_img_height;
	UINT	m_globalImgScaling;
	int		m_globalTemplateScaling;
	UINT	m_fftBlocOverlap;
	UINT	m_numOfOrientation;
	UINT	m_oriStepSize;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CParamEditorDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// my funcs
protected:
	void globalToInterface();
	void interfaceToGlobal();

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CParamEditorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLoad();
	afx_msg void OnSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PARAMEDITORDLG_H__BB37A927_7F59_4786_A227_A08CEFEF8AC3__INCLUDED_)
